Zsh

german
feedback

#1

Hallo,

ist es möglich die zshell (zsh) mit auszuliefern?
Gibt es die zufällig irgendwo als Paket von Univention oder kann ich irgendein *.deb-Paket verwenden?

MfG

Ingo Ebel


Jabber
Smartmontools
Fwbuilder - Installation
Devel-Pakete
Fwbuilder - Installation
#2

Hallo,

die zsh ist derzeit nicht von uns paketiert, sie sollte sich jedoch sehr einfach aus den entsprechenden Sourcen aus Debian Sarge bauen lassen:

Installieren benötigter Pakete (sind auf der zweiten UCS-CD enthalten):apt-get install build-essential
Fügen Sie in /etc/apt/sources.list eine URL für die Debian-Sarge-Quellpakete ein:deb-src http://ftp.de.debian.org/debian sarge main
Installation zusätzlicher für den Bau der zsh benötigter Pakete:apt-get update apt-get build-dep zsh
Herunterladen, Entpacken und Kompilieren der Quellpakete:apt-get source -b zsh
Das Paket wird dann im Verzeichnis unterhalb des Quellverzeichnisses zsh-4.2.5 estellt.

Mit freundlichen Grüßen,

Wolf Wiegand


#3

Hallo,

klappt leider nicht ganz. zsh fehlt ein Paket. Dies ist aber auch nicht in univention noch kann ich es bauen weil wieder rum ein Paket fehlt das nicht in ucs ist und dann komm ich in eine Schleife…

root@server:~# apt-get build-dep zsh
Reading Package Lists… Done
Building Dependency Tree… Done
Package texi2html is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package texi2html has no installation candidate
E: Failed to satisfy Build-Depends dependency for zsh: texi2html
root@server:~# apt-get build-dep texi2html
Reading Package Lists… Done
Building Dependency Tree… Done
E: Build-Depends-Indep dependency for texi2html cannot be satisfied because the package cdbs cannot be found


#4

Hallo,

[quote=“savar”][…]
E: Failed to satisfy Build-Depends dependency for zsh: texi2html
[…][/quote]
Dieses Paket ist schon für UCS gebaut, wird jedoch standardmäßig nicht mit ausgeliefert. Sie können es unter download.univention.de/download/ … texi2html/ herunterladen.

Mit freundlichen Grüßen,

Wolf Wiegand


#5

Ok vielen Dank.

Nachdem ich noch das Paket libcap-dev gebaut kam beim bauen des zsh deb-paketes leider folgender Fehler:

/bin/sh ../../mkinstalldirs /root/zsh-4.2.5/debian/tmp-doc/usr/share/doc/zsh-doc/html for file in zsh*.html; do \ /usr/bin/install -c -m 644 $file /root/zsh-4.2.5/debian/tmp-doc/usr/share/doc/zsh-doc/html || exit 1; \ done /usr/bin/install: cannot stat `zsh*.html': No such file or directory make[2]: *** [install.html] Error 1 make[2]: Leaving directory `/root/zsh-4.2.5/obj/Doc' make[1]: *** [install.html] Error 2 make[1]: Leaving directory `/root/zsh-4.2.5/obj' make: *** [binary-indep] Error 2

./configure
make
make install ging jedoch

MfG

Ingo Ebel

PS: Schön wäre wenn man diese ganzen Addon Pakete die nicht mit im UCS sind als Apt-Repo hätte


#6

Hallo,

danke für den Hinweis, wir konnten das Problem hier reproduzieren, ohne die Ursache auf Anhieb identifizieren zu können.

Es gibt mittlerweile ein öffentliches Repository, in dem Univention zusätzliche Pakete (ohne damit verbundenen Support und Maintenance) zur Verfügung stellt: univention.de/forum/viewtopic.php?t=93

Mit freundlichen Grüßen,

Wolf Wiegand